Index: osc-snovis/head/obuild/DOS/build_release.bat
===================================================================
--- osc-snovis/head/obuild/DOS/build_release.bat	(revision 12)
+++ osc-snovis/head/obuild/DOS/build_release.bat	(revision 13)
@@ -94,418 +94,368 @@
 
 IF "%obuild_erase_dir_bin%" == "yes" (
-  IF EXIST "%obuild_snovis_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_snovis_path%\%obuild_dir_bin%"
+  IF EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%" RMDIR /S /Q "%obuild_osc-snovis_path%\%obuild_dir_bin%"
   GOTO obuild_return
 )
 
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"
-
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST "%obuild_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
-  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_snovis_path%\obuild\cpp\obuild_platform.cpp"
+IF NOT EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+
+IF NOT EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%" MKDIR "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST "%obuild_osc-snovis_path%\%obuild_dir_bin%\obuild_platform.exe" (
+  cl.exe /nologo /DWIN32 /MD /O2 /W3  /GX /GR /Fe"%obuild_osc-snovis_path%\%obuild_dir_bin%\obuild_platform.exe" "%obuild_osc-snovis_path%\obuild\cpp\obuild_platform.cpp"
   IF EXIST obuild_platform.obj DEL obuild_platform.obj
 )
 
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_1
 SET Qt_home=/usr/local/Qt/4.1.4
-)
-SET obuild_platform_result=
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_0
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_0
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_1
+SET obuild_platform_result=
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_2
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_2
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_3
 SET Qt_home=/afs/cern.ch/sw/contrib/Qt/4.1.4/Darwin
-)
-SET obuild_platform_result=
-:end_if_if_0
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_3
+SET obuild_platform_result=
+:end_if_if_build_release_sh_2
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_5
 SET Qt_home=/usr/local/Qt/4.1.4
-)
-SET obuild_platform_result=
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_1
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_1
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_5
+SET obuild_platform_result=
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_6
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_6
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_7
 SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc3_ia32_gcc323
-)
-SET obuild_platform_result=
-:end_if_if_1
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_2
-IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_2
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_7
+SET obuild_platform_result=
+:end_if_if_build_release_sh_6
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_8
+IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_8
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_9
 SET Qt_home=/afs/cern.ch/user/g/gybarran/software/Qt/4.1.4/slc4_ia32_gcc34
-)
-SET obuild_platform_result=
-:end_if_if_2
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_9
+SET obuild_platform_result=
+:end_if_if_build_release_sh_8
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_11
 SET Qt_home=C:\usr\local\Qt\4.1.1
-)
-SET obuild_platform_result=
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_3
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_3
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_11
+SET obuild_platform_result=
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_12
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_12
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_13
 SET Qt_home=P:\cern.ch\user\g\gybarran\software\Qt\4.1.1\win32_vc71
-)
-SET obuild_platform_result=
-:end_if_if_3
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_13
+SET obuild_platform_result=
+:end_if_if_build_release_sh_12
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_15
 SET Python_home=/usr/local/Python/2.4.2
-)
-SET obuild_platform_result=
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_4
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_4
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_15
+SET obuild_platform_result=
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_16
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_16
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_17
 SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc3_ia32_gcc323
-)
-SET obuild_platform_result=
-:end_if_if_4
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_5
-IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_5
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_17
+SET obuild_platform_result=
+:end_if_if_build_release_sh_16
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_18
+IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_18
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_19
 SET Python_home=/afs/cern.ch/sw/lcg/external/Python/2.4.2/slc4_ia32_gcc34
-)
-SET obuild_platform_result=
-:end_if_if_5
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_19
+SET obuild_platform_result=
+:end_if_if_build_release_sh_18
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% OSF1`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_21
 SET Python_home=/usr/local/Python/2.3.4
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_21
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_23
 SET Python_home=C:\usr\local\Python\2.4.2
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_23
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_25
 SET Python_version=24
-)
-SET obuild_platform_result=
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_6
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_6
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_25
+SET obuild_platform_result=
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_26
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_26
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_27
 SET Python_home=P:\cern.ch\sw\lcg\external\Python\2.4.2\win32_vc71
-)
-SET obuild_platform_result=
-:end_if_if_6
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_7
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_7
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_27
+SET obuild_platform_result=
+:end_if_if_build_release_sh_26
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_28
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_28
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_29
 SET Python_version=24
-)
-SET obuild_platform_result=
-:end_if_if_7
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_29
+SET obuild_platform_result=
+:end_if_if_build_release_sh_28
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_31
 SET SDL_home=/Library/Frameworks/SDL.framework
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_31
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_33
 SET SDL_home=/usr/local/SDL/1.2.11
-)
-SET obuild_platform_result=
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_8
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_8
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_33
+SET obuild_platform_result=
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_34
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_34
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_35
 SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc3_ia32_gcc323
-)
-SET obuild_platform_result=
-:end_if_if_8
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_9
-IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_9
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_35
+SET obuild_platform_result=
+:end_if_if_build_release_sh_34
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_36
+IF NOT %OBUILD_SITE% == CERN_SLC4 GOTO end_if_if_build_release_sh_36
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_37
 SET SDL_home=/afs/cern.ch/sw/contrib/SDL/1.2.11/slc4_ia32_gcc34
-)
-SET obuild_platform_result=
-:end_if_if_9
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_37
+SET obuild_platform_result=
+:end_if_if_build_release_sh_36
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_39
 SET SDL_home=C:\usr\local\SDL\1.2.11
-)
-SET obuild_platform_result=
-IF NOT DEFINED OBUILD_SITE GOTO end_if_if_10
-IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_10
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_39
+SET obuild_platform_result=
+IF NOT DEFINED OBUILD_SITE GOTO end_if_if_build_release_sh_40
+IF NOT %OBUILD_SITE% == CERN GOTO end_if_if_build_release_sh_40
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_41
 SET SDL_home=P:\cern.ch\sw\contrib\SDL\1.2.11\win32_vc71
-)
-SET obuild_platform_result=
-:end_if_if_10
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_41
+SET obuild_platform_result=
+:end_if_if_build_release_sh_40
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_43
 SET JavaVM_home=/opt/jdk1.5.0_07
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_43
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_45
 SET JavaVM_home=C:\usr\local\j2sdk1.4.1
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_45
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_47
 SET CLHEP_home=/usr/local/CLHEP/2.0.3.1
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+:end_if_platform_47
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET Geant4_home=/geant4/geant4.8.2
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_49
+SET Geant4_home=/usr/local/geant4/8.2
+:end_if_platform_49
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_51
+SET bhep_home=/Users/barrand/dev/exp/nemo/bhep/v1r4p1
+:end_if_platform_51
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET Geant4_work=${Geant4_home}/Darwin
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET Geant4_work=${Geant4_home}/slc3_gcc323
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_53
+SET bhep_platform=Darwin
+:end_if_platform_53
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
+FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_55
+SET GeomUtils_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/GeomUtils
+:end_if_platform_55
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET Geant4_system=Darwin-g++
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Linux`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET Geant4_system=Linux-g++
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Windows_NT`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET Geant4_system=WIN32-VC
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_57
+SET GeomUtils_platform=Darwin-i386
+:end_if_platform_57
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET bhep_home=/Users/barrand/dev/exp/nemo/bhep/v1r4p1
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET bhep_platform=Darwin
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_59
+SET SNgeom2_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/SNgeom2
+:end_if_platform_59
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
 FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET GeomUtils_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/GeomUtils
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% Darwin`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET GeomUtils_platform=Darwin-i386
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
-SET SNgeom2_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/SNgeom2
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST .\obuild_platform.exe  ECHO Program obuild_platform.exe not found.  && GOTO obuild_return
-FOR /F "usebackq" %%j IN (`.\obuild_platform.exe  %obuild_platform% UNIX`) DO SET obuild_platform_result=%%j
-cd "%obuild_pwd_snovis_0%"
-SET obuild_pwd_snovis_0=
-IF %obuild_platform_result% == yes (
+cd "%obuild_pwd_osc-snovis_0%"
+SET obuild_pwd_osc-snovis_0=
+IF NOT %obuild_platform_result% == yes GOTO end_if_platform_61
 SET snova_home=/Users/barrand/dev/exp/nemo/SNgeom/v0r1p0/build_area/snova
-)
-SET obuild_platform_result=
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_snovis_0=%%d
+:end_if_platform_61
+SET obuild_platform_result=
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc-snovis_0=%%d
 cd ..
 cd ..
 cd ..
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_dir_top=%%d
-cd "%obuild_snovis_path%\%obuild_dir_bin%"
-IF EXIST snovis RMDIR /S /Q snovis
-IF NOT EXIST snovis MKDIR snovis
-cd snovis
+cd "%obuild_osc-snovis_path%\%obuild_dir_bin%"
+IF EXIST osc-snovis RMDIR /S /Q osc-snovis
+IF NOT EXIST osc-snovis MKDIR osc-snovis
+cd osc-snovis
 IF NOT EXIST v1r0 MKDIR v1r0
 cd v1r0
